<?php
declare(strict_types=1);

namespace CatequilTest\ORM;

use Ak\Test\AbstractTestCase as BaseAbstractTestCase;
use Catequil\ORM\ConfigProvider;

/**
 * Class AbstractTestCase
 *
 * @package CatequilTest\ORM
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-orm
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    protected array $providers = [
        \Laminas\Filter\ConfigProvider::class,
        \Catequil\Db\ConfigProvider::class,
        ConfigProvider::class,
    ];
}
