<?php
declare(strict_types=1);

namespace CatequilTest\ORM;

use Catequil\ORM\ConfigProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

$config = (new ConfigAggregator([
    \Catequil\Cli\ConfigProvider::class,
    \Catequil\Db\ConfigProvider::class,
    ConfigProvider::class,
]))->getMergedConfig();

$config['dependencies']['services']['config'] = $config;
return new ServiceManager($config['dependencies']);